$(document).ready(function() {
    $('#teacher-table').DataTable({
        "lengthChange": false,
        "info": false,
        "pageLength": 20,
        "language": {
            "emptyTable":   "ไม่พบข้อมูล",
            "paginate": {
                "first":    "หน้าแรก",
                "last":     "หน้าสุดท้าย",
                "next":     "ถัดไป",
                "previous": "ก่อนหน้า"
            },
            "search":       "ค้นหา:",
            "lengthMenu":   "จำนวนผู้สอนทั้งหมด _MENU_ คน",
            "info":         "ทั้งหมด _TOTAL_ คน",
            "infoEmpty":    "ไม่พบผู้สอน",
        }
    });
    $('#teacher-table tr td:not(:last-child)').click(function () {
        var href = $(this).closest('tr').find('a').attr('href');
        location.href = href;
    });
});
